%define upstream_name    Digest-Perl-MD5
%define upstream_version 1.8

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Pure perl implementation of MD5
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Digest/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter)
BuildArch: noarch

%description
This modules has the same interface as the much faster 'Digest::MD5'. So
you can easily exchange them, e.g.

	BEGIN {
	  eval {
	    require Digest::MD5;
	    import Digest::MD5 'md5_hex'
	  };
	  if ($@) { # ups, no Digest::MD5
	    require Digest::Perl::MD5;
	    import Digest::Perl::MD5 'md5_hex'
	  }		
	}

If the 'Digest::MD5' module is available it is used and if not you take
'Digest::Perl::MD5'.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
perl -pi -e 's{#! /usr/bin/false}{#}' lib/Digest/Perl/MD5.pm

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc CHANGES META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.800.0-3.mga3
+ Revision: 365929
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Apr 07 2011 jquelin <jquelin> 1.800.0-2.mga1
+ Revision: 81828
- remove bogus shebang line

* Thu Apr 07 2011 jquelin <jquelin> 1.800.0-1.mga1
+ Revision: 81822
- imported package perl-Digest-Perl-MD5

